using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace VIZ.Framework.Common
{
    /// <summary>
    /// 导航控件
    /// </summary>
    public class NavigationControl : ListBox
    {
        static NavigationControl()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(NavigationControl), new FrameworkPropertyMetadata(typeof(NavigationControl)));
        }

        protected override DependencyObject GetContainerForItemOverride()
        {
            NavigationItemControl itemControl = new NavigationItemControl();

            return itemControl;
        }

        protected override bool IsItemItsOwnContainerOverride(object item)
        {
            return item is NavigationItemControl;
        }
    }
}
